# AllTheThings

## [DF-3.0.3-43-gd08e4c5](https://github.com/DFortun81/AllTheThings/tree/d08e4c5cf0e929bb2c5bb0bbdb506bd35e7b4244) (2022-11-10)
[Full Changelog](https://github.com/DFortun81/AllTheThings/compare/DF-3.0.3...d08e4c5cf0e929bb2c5bb0bbdb506bd35e7b4244) [Previous Releases](https://github.com/DFortun81/AllTheThings/releases)

- Updated Felwood to include legacy information.  
- Cleaned up some Achievement Criteria and HQTs in SoD  
- Fixed Common Boss Drops being automatically pulled under NPC groups within Instances to only associate the proper CBD for the respective difficulty of the NPC group (i.e. Dragon Soul is a good example and is fixed)  
- Moved Protoform Synthesis Recipes to where they are actually obtained  
- Bump WoW build  
- Timbermaw Toy only visible at Exalted  
- Couple Venthyr campaign quest fixes  
- Various Achievement cleanup and such  
- SearchForObject and SearchForMergeObject now automatically ignore Dynamic content in their results (may alter this strategy in the future)  
    Popout "Source(s)" will now be much better about including all Criteria for Achievements in the popout  
    Meta-Achievement symlink command now prunes the finalized results so that only the necessary Achievements are captured, without sub-rewards/content  
- Added an icon for the Wintersaber Trainers faction.  
- Updated Winterspring to include legacy information.  
- Cleanup/de-duplication/re-structuring of BFA Darkshore/Warfront content based on user reports and general consistency with current ATT standards (similar re-structuring expected for BFA Arathi/Warfront, though it's closer to the expectation currently)  
- Added Pool of Blood for a Dalaran Fishing Daily.  
- Items shouldn't be in HQTs. I knew that I swear.  
- Moved Army of the Black Dragon duplicate to the relevant NYI section  
- Moved the version of "Army of the Black Dragon" that doesn't appear to be in retail to never implemented  
- Added Return to Krog which got detected as missing  
- Debug print comments  
- Slight adjustment to link search logic  
- Fixed a very subtle and nuanced bug where an Item tooltip within an ATT list would use the Link from an alternate variant of the same Item, even though the raw data of the Item group may differ (i.e. certain situations where viewing a Normal Item, then subsequently viewing the Heroic version of the same Item within a popout or minilist could show the Normal Item Link instead)  
- Updated Teldrassil to include legacy information.  
- Added some missing WOTLK objects.  
- Bump WoW build  
- One more localized line  
- Improve locales  
- Update deDE.lua (#1160)  
    * Update deDE.lua
  
    Was bored and updated the german localization a bit. May work on it some more later, not sure.
  
    * Use partially translated strings
  
    * Further updates
  
    translated some more stuff
  
    * Quick minor fixes
  
    Missed some capitalization and other minor wording issues
  
    * Minor formatting fixes
  
    Co-authored-by: Dmitry Volodin <mr.molkree@gmail.com>  
- Many various #errors (much catch up from patch)  
    Added a solution for Fated CN Weapon Tokens so that tooltips show accurately  
- Remaining Venthyr mirror groups correlated to Wowhead groups  
- Changes in quest status will now wipe the tooltip search cache. (i.e. killing a rare or turning in a quest will now show the updated tooltip with proper quest completion indicated)  
- Fixed a subtle logic issue where a raw command search for an item using condensed form (i.e. /att i:###.###) would not properly create the proper item link for the search result if the search didn't exist in the DB  
- Added a couple more objects.  
- Added objects for Shiny Treasures in Sholazar Basin.  
- Added the Crystalsong Carrot object.  
- Correlated 2/4 sets of Venthyr Travel Network Mirrors to their Wowhead Group # counterparts  
    Removed some unnecessary Common Boss Drop symlinks since that is now handled automatically  
- Couple minor logic performance adjustments  
- Updated Teldrassil (incomplete) and added a constant for Shadowglen.  
- Updated Thunder Bluff to include legacy information.  
    Updated Warrior class-specific Mail items to automatically convert to Plate if over level 40, thus allowing the RWP filter the ability to "collect" it. (They eventually get converted to Plate for transmog purposes)  
- Added a few more and removed them from where I thought they went originally  
- Added some HQTs for DF crafting  
- Updated Thousand Needles to include legacy information.  
- Threw in some quick logic to 'smartly' pull in Common Boss Drops for any NPC group which is being 'filled' (will probably improve this more later and maybe async all the FillGroups components to reduce minilist lag...)  
- More testing for the Object Tooltips for Wrath Classic... it works!  
- Enable autochangelog  